from django.views.generic import TemplateView

from guild.models import Resource


class SettingsView(TemplateView):
    template_name = "guild/settings.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context["resources"] = Resource.objects.all()
        return context
