import markdown
from django import template
from django.template.defaultfilters import stringfilter
from guild_md.entity_links import GuildLinkExtension

register = template.Library()


@register.filter(name="md")
@stringfilter
def md(value):
    return markdown.markdown(value, extensions=[GuildLinkExtension()])
